Package org.eclipse.lemminx.services.format

## Class DOMTextFormatter

- java.lang.Object
- - org.eclipse.lemminx.services.format.DOMTextFormatter

    public class DOMTextFormatter
    extends Object

DOM text formatter.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`DOMTextFormatter​(XMLFormatterDocument formatterDocument)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `formatText​(DOMText textNode, XMLFormattingConstraints parentConstraints, int start, int end, List<org.eclipse.lsp4j.TextEdit> edits)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMTextFormatter

    public DOMTextFormatter​(XMLFormatterDocument formatterDocument)

### Method Detail

#### formatText

    public void formatText​(DOMText textNode,
                           XMLFormattingConstraints parentConstraints,
                           int start,
                           int end,
                           List<org.eclipse.lsp4j.TextEdit> edits)